/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
define([
    'uiComponent',
    'Magento_Customer/js/customer-data'
], function (Component, customerData) {
    'use strict';

    return Component.extend({
        initialize: function () {
            this._super();

            this.customer = customerData.get('mantero-customer');

            if (this.customer().website_id !== window.mantero_customer.website_id) {
                customerData.reload(['mantero-customer'], false).done(function () {
                    this.customer = customerData.get('mantero-customer');
                });
            }
        }
    });
});
